/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Pan Development Team (pan@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __QUEUE_ITEM_SEND__H__
#define __QUEUE_ITEM_SEND__H__

#include <gtk/gtk.h>

#include "queue-item.h"
#include "message.h"

#define QUEUE_ITEM_SEND(obj) ((QueueItemSend*)obj)
typedef struct _QueueItemSend QueueItemSend;

struct _QueueItemSend
{
	/* Parent */
	QueueItem item;

	/* private */
	PanSocket *smtp_socket;
	Message *msg;
};

PanObject* queue_item_send_new (server_data* server, Message *message);

#endif
